{% extends "dashboard/base.html" %}
{% load i18n %}
{% load static %}
{% load bootstrap %}

{% block stylesheet %}

<link href="{% static 'css/plugins/morris/morris-0.4.3.min.css' %}" rel="stylesheet">

{% endblock %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Graficos" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="#">{% trans "Reportes" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "12" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="row">
    <div class="form-group col-md-2">
        <label for="select_campus_carreer">
            {% trans "Sede:" %}<br>
            <select id="select_carreer" class="js-example-responsive js-states form-control select2-hidden-accessible" tabindex="-1" aria-hidden="true" name="select_carreer">
            {% for seat in seat %}
                    <option value="{{seat.id}}">{{seat.name}}</option>
            {% endfor %}
            </select>
        </label>                                       
    </div>
    <div class="form-group col-md-2">
        <label for="select_campus_carreer">
            {% trans "Campus:" %}<br>
            <select id="select_carreer" class="js-example-responsive js-states form-control select2-hidden-accessible" tabindex="-1" aria-hidden="true" name="select_carreer">
            {% for campus in campus %}
                    <option value="{{campus.id}}">{{campus.name}}</option>
            {% endfor %}
            </select>
        </label>                                       
    </div>
    <div class="form-group col-md-4">
        <label for="select_campus_carreer">
            {% trans "Carrera:" %}<br>
            <select id="select_carreer" class="js-example-responsive js-states form-control select2-hidden-accessible" tabindex="-1" aria-hidden="true" name="select_carreer">
            {% for carreer in carreer %}
                    <option value="{{carreer.id}}">{{carreer.name}}</option>
            {% endfor %}
            </select>
        </label>                                       
    </div>
    <div class="form-group col-md-2">
        <div class="input-group">
                <span class="input-group-btn">
                        <button type="button" class="btn btn btn-info"> 
                        <i class="fa fa-bug"></i> Generar</button>
                </span>
            </div>                                    
    </div>
    </div>
<div class="row">
     <div class="col-lg-8">
        
    </div>
    <div class="col-lg-4">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>Area Chart Example <small>With custom colors.</small></h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up"></i>
                    </a>
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                        <i class="fa fa-wrench"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-user">
                        <li><a href="#">Config option 1</a>
                        </li>
                        <li><a href="#">Config option 2</a>
                        </li>
                    </ul>
                    <a class="close-link">
                        <i class="fa fa-times"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content" style="position: relative">
                <div id="morris-area-chart"></div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}


{% block javascript %}

<script src="{% static 'js/plugins/morris/raphael-2.1.0.min.js' %}"></script>
<script src="{% static 'js/plugins/morris/morris.js' %}"></script>

<script>
$(document).ready(function(){    
   Morris.Area({
        element: 'morris-area-chart',
        data: [{ actividad: '1', iphone: 2666, ipad: null},
            { actividad: '2', iphone: 2778, ipad: 2294},
            { actividad: '3', iphone: 4912, ipad: 1969},
            { actividad: '4', iphone: 3767, ipad: 3597},
            { actividad: '5', iphone: 6810, ipad: 1914},
            { actividad: '6', iphone: 5670, ipad: 4293},
            { actividad: '7', iphone: 4820, ipad: 3795},
            { actividad: '8', iphone: 15073, ipad: 5967},
            { actividad: '9', iphone: 10687, ipad: 4460},
            { actividad: '10', iphone: 8432, ipad: 5713} ],
        xkey: 'actividad',
        ykeys: ['iphone', 'ipad'],
        labels: ['iPhone', 'iPad'],
        pointSize: 2,
        hideHover: 'auto',
        resize: true,
        lineColors: ['#87d6c6', '#54cdb4','#1ab394'],
        lineWidth:2,
        pointSize:1,
    });
});
</script>
{% endblock javascript %}